Subject: [PATCH v4 05/10] s5p-fimc: Add device tree based sensors registration

From: [email-masked] (Sylwester Nawrocki)
Date: Sat, 09 Feb 2013 00:26:49 +0100

On 02/07/2013 12:42 AM, Stephen Warren wrote:
> On 02/01/2013 12:09 PM, Sylwester Nawrocki wrote:
>> The sensor (I2C and/or SPI client) devices are instantiated by their
>> corresponding control bus drivers. Since the I2C client's master clock
>> is often provided by a video bus receiver (host interface) or other
>> than I2C/SPI controller device, the drivers of those client devices
>> are not accessing hardware in their driver's probe() callback. Instead,
>> after enabling clock, the host driver calls back into a sub-device
>> when it wants to activate them. This pattern is used by some in-tree
>> drivers and this patch also uses it for DT case. This patch is intended
>> as a first step for adding device tree support to the S5P/Exynos SoC
>> camera drivers. The second one is adding support for asynchronous
>> sub-devices registration and clock control from sub-device driver
>> level. The bindings shall not change when asynchronous probing support
>> is added.
>
>> diff --git a/Documentation/devicetree/bindings/media/soc/samsung-fimc.txt b/Documentation/devicetree/bindings/media/soc/samsung-fimc.txt
>
>> +The sensor device nodes should be added as their control bus controller
>
> I think "as" should be "to"?

Yes, something is wrong here. Hopefully this is more correct:

The sensor device nodes should be added to their control bus controller
(e.g. I2C0) nodes and linked to a port node in the csis or parallel-ports

>> +(e.g. I2C0) child nodes and linked to a port node in the csis or parallel-ports
>> +node, using common the common video interfaces bindings, i.e. port/endpoint
                ^^^^^^^^
And this needs correction too.

>> +node pairs. The implementation of this binding requires clock-frequency
>> +property to be present in the sensor device nodes.